FLUX 1.1 Pro
此内容尚不支持你的语言。
| Provider | Black Forest Labs |
| Model name | flux-1.1-pro |
| Endpoint | /v1/images/generations |
| Credits | 10 per image |
| Sizes | 1024x1024, 1792x1024, 1024x1792 |
Features
Section titled “Features”- Photorealistic quality
- Excellent prompt adherence
- Multiple aspect ratios
API Usage
Section titled “API Usage”from openai import OpenAI
client = OpenAI( api_key="YOUR_API_KEY", base_url="https://api.hiapi.ai/v1")
response = client.images.generate( model="flux-1.1-pro", prompt="A cinematic portrait of an astronaut on Mars, golden hour", size="1024x1024")
print(response.data[0].url)curl -X POST https://api.hiapi.ai/v1/images/generations \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "model": "flux-1.1-pro", "prompt": "A cinematic portrait of an astronaut on Mars, golden hour", "size": "1024x1024" }'import OpenAI from "openai";
const client = new OpenAI({ apiKey: "YOUR_API_KEY", baseURL: "https://api.hiapi.ai/v1"});
const response = await client.images.generate({ model: "flux-1.1-pro", prompt: "A cinematic portrait of an astronaut on Mars, golden hour", size: "1024x1024"});
console.log(response.data[0].url);